package schedframe.resources.devices.coolemall;

import schedframe.resources.computing.profiles.energy.airthroughput.AirThroughputProfile;
import schedframe.resources.computing.profiles.energy.airthroughput.UserAirThroughputStateName;
import schedframe.resources.devices.PhysicalResource;
import schedframe.resources.devices.DeviceAirThroughputInterface;

public class FanAirThroughputInterface extends DeviceAirThroughputInterface {

	public FanAirThroughputInterface(PhysicalResource resource, AirThroughputProfile airThroughputProfile) {
		super(resource, airThroughputProfile);
		this.currentAirThroughputState = new UserAirThroughputStateName("2");
	}
	
	public boolean turnOn(){
		return setAirThroughputState(new UserAirThroughputStateName("2"));
	}

	public boolean turnOff(){
		return setAirThroughputState(new UserAirThroughputStateName("1"));
	}
}
